> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Fleet

> Partially update a fleet by ID.



## OpenAPI

````yaml patch /v2/fleets/{id}/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/fleets/{id}/:
    patch:
      tags:
        - Fleets
      operationId: v2_fleets_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this Fleet.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedFleet'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedFleet'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedFleet'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Fleet'
          description: ''
components:
  schemas:
    PatchedFleet:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 255
        is_active:
          type: boolean
        regions:
          type: string
        customer_info:
          allOf:
            - $ref: '#/components/schemas/CustomerInfo'
          nullable: true
        onboarding_stage:
          $ref: '#/components/schemas/OnboardingStageEnum'
        client:
          type: string
          nullable: true
          maxLength: 100
    Fleet:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        regions:
          type: array
          items:
            type: integer
            writeOnly: true
          writeOnly: true
        region_details:
          type: array
          items:
            $ref: '#/components/schemas/Region'
          readOnly: true
        title:
          type: string
          maxLength: 255
        is_active:
          type: boolean
        billing_type:
          $ref: '#/components/schemas/BillingTypeEnum'
        onboarding_stage:
          $ref: '#/components/schemas/OnboardingStageEnum'
        warning_threshold_per_vehicle:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,2})?$
          nullable: true
        deactivation_threshold_per_vehicle:
          type: string
          format: decimal
          pattern: ^-?\d{0,5}(?:\.\d{0,2})?$
          nullable: true
        client:
          type: string
          nullable: true
          maxLength: 100
        onboarding_vehicle_order:
          type: integer
          nullable: true
      required:
        - id
        - region_details
        - regions
    CustomerInfo:
      type: object
      properties:
        ext_client_id:
          type: string
          nullable: true
          maxLength: 255
        ext_billing_id:
          type: string
          nullable: true
          maxLength: 255
        service_types:
          type: string
        email:
          type: string
          format: email
          maxLength: 254
        notes:
          type: string
          nullable: true
      required:
        - email
        - service_types
    OnboardingStageEnum:
      enum:
        - INITIAL
        - FLEET_NAMED
        - VEHICLES_ADDED
        - COMPLETED
      type: string
      description: |-
        * `INITIAL` - Initial
        * `FLEET_NAMED` - Fleet Named
        * `VEHICLES_ADDED` - Vehicles Added
        * `COMPLETED` - Completed
    Region:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 70
      required:
        - id
        - title
    BillingTypeEnum:
      enum:
        - PREPAID
        - POSTPAID
      type: string
      description: |-
        * `PREPAID` - prepaid
        * `POSTPAID` - postpaid
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````